import type { RouteRecordRaw } from 'vue-router'
import AppLayout from '@/components/layout/Index.vue'

export const routes: Array<RouteRecordRaw> = [
  {
    path: '/alumni',
    component: AppLayout,
    children: [
      { path: '', component: () => import('./views/List.vue') },
      { path: '/alumni/view', component: () => import('./views/View.vue'), props: true }
    ]
  }
]
