import httpRequest from '@/utils/axios'

// 获取校友列表
export function getAlumniList(params?: {
  username?: string
  sex?: string
  class_id?: number
  province?: string
  city?: string
  industry?: string
  workplace?: string
  page?: number
  limit?: number
}) {
  return httpRequest.get('/api/hr/admin/v1/alumni-tenants', { params })
}
// 获取校友详情
export function getAlumniView(params: { id: string }) {
  return httpRequest.get(`/api/hr/admin/v1/alumni-tenant/${params.id}`, { params })
}
// 获取班级列表
export function getClassList(params: {
  page?: number
  limit?: number
  project_prefix: string
  id: string
  name: string
}) {
  return httpRequest.get(`/api/hr/admin/v1/classes`, { params })
}
